## Agenda

Example usage
`` ``
Properties

Type | Name | Description | Data type | Required | Default
--- | --- | --- | --- | --- | ---
Input | events | A list of events to be displayed in the agenda view, of type IAgendaEvent, which can be imported from the library as well | IAgendaEvent[] | true | []
Input | startDate | Determines the start date for the agenda view." | Date | true | today date
Input | endDate | Determines the end date for the agenda view." | Date | true | Represents two weeks from today's date (today's date + 13 days).

CSS Properties

Name | Description | Default
--- | --- | ---
--eventCardWidth | Determines the width of the event card. | 90px
--eventCardWidthMobile | Determines the width of the event card for mobile and small screens. | 75px
--agendaDays | Determines the number of days displayed in the calendar view. | 14
--hiddenDayWidth | Determines the width of the hidden day in the calendar view, represented by an empty line. __ | 25px